/**
 * Created by IntelliJ IDEA.
 * User: jwill
 * Released under the GPL
 */
class UpdateTimeTask extends GroovyTimerTask {
    def timeLabel , startTime 
    public UpdateTimeTask(label, time) {
        closure = {
            long millis = System.currentTimeMillis() - time
            int seconds = (int) (millis / 1000)
            int minutes = seconds / 60
            seconds = seconds % 60
            model.setText(String.format("%d:%02d", minutes, seconds))
            //label.repaint()
        }
    }
}
